package com.example.switchyard.nettyjms;

import javax.inject.Inject;

import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.Service;

@Service(MessageReaderService.class)
public class MessageReaderServiceBean implements MessageReaderService {

	@Inject @Reference
	QueueService queueService;
	
	@Override
	public String readMessage(String msg) {
		System.out.println("MessageReaderService : " + msg);
		queueService.queueMsg(msg);
		return msg;
	}

}
