package com.example.switchyard.nettyjms;

import javax.inject.Inject;

import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.Service;

@Service(QueueService.class)
public class QueueServiceBean implements QueueService {
	
	@Inject 
	@Reference("PixInboundReference")
	QueueService pixInbound;

	@Override
	public void queueMsg(String msg) {
		System.out.println("QueueService : " + msg);
		pixInbound.queueMsg(msg);
	}

}
